%global codate 20111209
%global cohash 963b309
%global checkout %{codate}git%{cohash}

Name:             jumanji
Version:          0
Release:          6.%{checkout}%{?dist}
Summary:          A highly customizable, minimalist WebKit web browser
License:          zlib
URL:              https://pwmt.org/projects/%{name}
# Source is a git checkout (git://pwmt.org/jumanji.git)
#       export hash=your-hash-or-tag && \
#       git archive --format=tar.gz --prefix=jumanji-$hash/ $hash \
#       > jumanji-$hash.tar.gz
Source0:          %{name}-%{cohash}.tar.gz
Source1:          %{name}.desktop
Source2:          %{name}.appdata.xml
BuildRequires:    binutils
BuildRequires:    coreutils
BuildRequires:    desktop-file-utils
BuildRequires:    gcc
BuildRequires:    glibc-devel
BuildRequires:    libappstream-glib
BuildRequires:    make
BuildRequires:    pkgconfig
BuildRequires:    pkgconfig(gthread-2.0)
BuildRequires:    pkgconfig(gtk+-2.0)
BuildRequires:    pkgconfig(javascriptcoregtk-1.0)
BuildRequires:    pkgconfig(unique-1.0)
BuildRequires:    pkgconfig(webkit-1.0)
BuildRequires:    sed
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
%{name} is a highly customizable and functional web browser based on
the WebKit web content engine and the GTK+ toolkit.  The idea behind
%{name} is a web browser that provides a minimalist and space saving
interface as well as an easy usage that mainly focuses on keyboard
interaction like vimperator does.

%prep
%setup -q -n %{name}-%{cohash}

%build
# Avoid stripping
sed -e '/^SFLAGS =.*$/d' -i config.mk
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-install --dir %{buildroot}/%{_datadir}/applications %{SOURCE1}
install -p -m644 -D %{SOURCE2} %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml
appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%license LICENSE
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Jan 08 2016 Petr Šabata <contyk@redhat.com> - 0-6.20111209git963b309
- Add basic keywords to the desktop file

* Tue Sep 01 2015 Petr Šabata <contyk@redhat.com> - 0-5.20111209git963b309
- Add an appdata metadata file

* Mon Aug 31 2015 Petr Šabata <contyk@redhat.com> - 0-4.20111209git963b309
- Add a buildtime dependency on gcc

* Mon Aug 31 2015 Petr Šabata <contyk@redhat.com> - 0-3.20111209git963b309
- Added an Icon definition to the desktop file
- Call make with %%{?_smp_mflags}

* Mon Jul 13 2015 Petr Šabata <contyk@redhat.com> - 0-2.20111209git963b309
- Added a desktop file

* Wed Jun 10 2015 Petr Šabata <contyk@redhat.com> - 0-1.20111209git963b309
- Initial packaging
